KTRDUMP(8)

NAME
ktrdump - print kernel ktr trace buffer

SYNOPSIS
ktrdump [-cfqrtH] [-e execfile] [-i ktrfile] [-m corefile] [-o outfile]

DESCRIPTION
The ktrdump utility is used to dump the contents of the kernel ktr trace buffer.

The following options are available:

-c  Print the CPU number that each entry was logged from.

-f  Print the file and line number that each entry was logged from.

-q  Quiet mode; do not print the column header.

-r  Print relative timestamps rather than absolute timestamps.

-t  Print the timestamp for each entry.

-H  Print the thread ID for each entry.

-i ktrfile
    File containing saved ktr trace events; for more information see the ktr(4) manual page.

-e execfile
    The kernel image to resolve symbols from. The default is the value returned via getbootfile(3).

-m corefile
    The core file or memory image to read from. The default is /dev/mem.

-o outfile
    The file to write the output to. The default is standard output.

SEE ALSO
ktr(4), ktr(9)

HISTORY
The ktrdump utility first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The ktrdump utility was implemented by Jake Burkholder <jake@FreeBSD.org>.

This manual page was written by Chad David <davidc@FreeBSD.org>.